#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 ghcide
version:              1.4.1.0
visibility:           public
id:                   ghcide-1.4.1.0-5BPKo0MJ113IHeNrve9l7o
key:                  ghcide-1.4.1.0-5BPKo0MJ113IHeNrve9l7o
license:              Apache-2.0
copyright:            Digital Asset and Ghcide contributors 2018-2020
maintainer:           Ghcide contributors
author:               Digital Asset and Ghcide contributors
homepage:
    https://github.com/haskell/haskell-language-server/tree/master/ghcide#readme

synopsis:             The core of an IDE
description:          A library for building Haskell IDE'\''s on top of the GHC API.
category:             Development
abi:                  920faaae67d8b9c0e11e1d2db9fbda16
exposed:              True
exposed-modules:
    Control.Concurrent.Strict Development.IDE
    Development.IDE.Core.Actions Development.IDE.Core.Compile
    Development.IDE.Core.Debouncer Development.IDE.Core.FileStore
    Development.IDE.Core.IdeConfiguration
    Development.IDE.Core.OfInterest
    Development.IDE.Core.PositionMapping
    Development.IDE.Core.Preprocessor
    Development.IDE.Core.ProgressReporting
    Development.IDE.Core.RuleTypes Development.IDE.Core.Rules
    Development.IDE.Core.Service Development.IDE.Core.Shake
    Development.IDE.Core.Tracing Development.IDE.Core.UseStale
    Development.IDE.GHC.Compat Development.IDE.GHC.Error
    Development.IDE.GHC.ExactPrint Development.IDE.GHC.Orphans
    Development.IDE.GHC.Util
    Development.IDE.Import.DependencyInformation
    Development.IDE.Import.FindImports
    Development.IDE.LSP.HoverDefinition
    Development.IDE.LSP.LanguageServer Development.IDE.LSP.Outline
    Development.IDE.LSP.Server Development.IDE.Main
    Development.IDE.Plugin Development.IDE.Plugin.CodeAction
    Development.IDE.Plugin.CodeAction.ExactPrint
    Development.IDE.Plugin.Completions
    Development.IDE.Plugin.Completions.Types Development.IDE.Plugin.HLS
    Development.IDE.Plugin.HLS.GhcIde Development.IDE.Plugin.Test
    Development.IDE.Plugin.TypeLenses Development.IDE.Session
    Development.IDE.Spans.AtPoint Development.IDE.Spans.Common
    Development.IDE.Spans.Documentation
    Development.IDE.Spans.LocalBindings
    Development.IDE.Types.Diagnostics Development.IDE.Types.Exports
    Development.IDE.Types.HscEnvEq Development.IDE.Types.KnownTargets
    Development.IDE.Types.Location Development.IDE.Types.Logger
    Development.IDE.Types.Options Development.IDE.Types.Shake
    Generics.SYB.GHC

hidden-modules:
    Development.IDE.Core.FileExists Development.IDE.GHC.CPP
    Development.IDE.GHC.Warnings Development.IDE.LSP.Notifications
    Development.IDE.Plugin.CodeAction.PositionIndexed
    Development.IDE.Plugin.CodeAction.Args
    Development.IDE.Plugin.Completions.Logic
    Development.IDE.Session.VersionCheck Development.IDE.Types.Action

import-dirs:          /usr/lib/ghc-9.0.1/site-local/ghcide-1.4.1.0
library-dirs:         /usr/lib/ghc-9.0.1/site-local/ghcide-1.4.1.0
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/x86_64-linux-ghc-9.0.1/ghcide-1.4.1.0
hs-libraries:         HSghcide-1.4.1.0-5BPKo0MJ113IHeNrve9l7o
depends:
    Diff-0.4.0-F7vyJzYzam9CwrUJdg8bD2
    Glob-0.10.1-3CTRilQenvw5CwDdGz5nFc
    aeson-1.5.6.0-5xJqgJM7Xo44Ry8m4HB8YT
    aeson-pretty-0.8.9-I1eJ7PpNNq81v5lYwd1o48 array-0.5.4.0
    async-2.2.3-ADK08CToinJACmhOUl3TMq base-4.15.0.0
    base16-bytestring-1.0.1.0-2vKWDJMi9RvLtvoYmdfP1d binary-0.8.8.0
    bytestring-0.10.12.1
    bytestring-encoding-0.1.1.0-GMLjOyokHeD2XwUsKI28rx
    case-insensitive-1.2.1.0-EnesCw45hPx54B4a098LlB containers-0.6.4.1
    cryptohash-sha1-0.11.100.1-76A50UqL08yHXaRzujd3cE
    data-default-0.7.1.1-9pDbF71G48YK8T0Zltgcr6 deepseq-1.4.5.0
    dependent-map-0.4.0.0-5PYKkYq5P431lAxJ1VTLZ8
    dependent-sum-0.7.1.0-1QS76Cjtk781AsltR4f4xv directory-1.3.6.1
    dlist-1.0-4uSjbl72fpn9e2vwvg1nn4
    extra-1.7.10-KUNc8iCHQtaIkb6fS7TV5E filepath-1.4.2.1
    fingertree-0.1.4.2-JDQICVhgyc1YUpSiT0DYQ
    fuzzy-0.1.0.1-4FIVdGZDjKNGFrLMsSQ5ki ghc-9.0.1
    ghc-api-compat-8.6.1-3GYFFbfr2XZ391lwrGN6OF ghc-boot-9.0.1
    ghc-boot-th-9.0.1 ghc-check-0.5.0.6-8J0QEFFNLSuGEnwVS70JGH
    ghc-exactprint-0.6.4-AVUVuQzdUjR66RlgIZwvEK
    ghc-paths-0.1.0.12-D0EghxpsajHHuX2KoHY7KF
    ghc-trace-events-0.1.2.3-H9i6ubksa059TveTClHHiR
    haddock-library-1.10.0-3qgMcUtzLBc1etEJuKBwkF
    hashable-1.3.3.0-42gRc2xLctC1JaYfPjkrlX
    heapsize-0.3.0.1-4V5qXeA27cr7CsberEZpg7
    hie-bios-0.7.6-9okJoVIlCRyH3lcFxIrKzo
    hie-compat-0.2.0.0-HHVbuGAk8zeLJ4sWoPjDO6
    hiedb-0.4.1.0-HggBQMnVB2RC6Y3Q4MKsoa
    hls-graph-1.4.0.0-IuHlaJBYjaTAoV2Cg06a9i
    hls-plugin-api-1.2.0.0-6XQhxSchRk9I39C2ldwyBt
    hslogger-1.3.1.0-CAADq7O7mdRHOAoBsWxSdw
    implicit-hie-cradle-0.3.0.5-H0wHddPh3AC2QKx016YZQd
    lens-5.0.1-60ifKnBVxc97Z5mKEPHeAT
    lsp-1.2.0.1-DgxNxBm0ixG3b2NAzGm3rH
    lsp-types-1.3.0.1-1homHhdCbCcJVBnsPDIE6N mtl-2.2.2
    network-uri-2.6.4.1-9p35oSDSrRH5LnXL8JxE48
    opentelemetry-0.7.0-4JP7YbEXPDB6U5Y9PqaDSX
    optparse-applicative-0.16.1.0-8E0NxDGSSfLIkUK4NPa1xv
    parallel-3.2.2.0-G9JTeCQCHda2yggytvFxi6
    prettyprinter-1.7.1-34DYKF2lDAoJRRMzjpiTmN
    prettyprinter-ansi-terminal-1.1.3-KZakg8eATUK1hItStAIto
    regex-tdfa-1.3.1.1-8KBKH3EsotI2v3BWqoG8PB
    retrie-1.0.0.0-Hxfdg9dL40580HssOqwWB7
    rope-utf16-splay-0.3.2.0-I92KkDdHdyzCJq5CJcRUEY
    safe-0.3.19-BCcHjTM7bV690cTfMWPidj
    safe-exceptions-0.1.7.2-L3AELrIzgQrFv86s1DNxnl
    sorted-list-0.2.1.0-GAuY2s8imm748N24vRN1OU
    sqlite-simple-0.4.18.0-JSnOERuV0587HAuBv1RU6y stm-2.5.0.0
    syb-0.7.2.1-1a6c6zHMv9nII8iZ0MCvXA text-1.2.4.1 time-1.9.3
    transformers-0.5.6.2 unix-2.7.2.2
    unliftio-0.2.20-5GWuNZleWALGLToDisqWNC
    unliftio-core-0.2.0.1-2baD1vXgUkB5a1NRn2rSLN
    unordered-containers-0.2.14.0-7mG6qiSFB7aBJ8f89E596e
    utf8-string-1.0.2-FSV4F6pxd5y7PjtRkbEpDf
    vector-0.12.3.1-EZShNBWDQ9s3G4ursgcoB7

haddock-interfaces:   /usr/share/doc/haskell-ghcide/html/ghcide.haddock
haddock-html:         /usr/share/doc/haskell-ghcide/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

